package org.bucksch.zeipis.store;
import java.io.*;

public class LocalfileSource implements Source
{
  public LocalfileSource(String absFilename)
    throws FileNotFoundException
  {
    myAbsFilename = absFilename;
    //myFile = new File(filename);
    myStream = new FileInputStream(absFilename);
  }
  public LocalfileSource(File file)
    throws FileNotFoundException
  {
    myAbsFilename = file.getPath();
    myStream = new FileInputStream(file);
  }
  public InputStream inStream()
  {
    return myStream;
  }

  public String absFilename()
  {
    return myAbsFilename;
  }

  public String toString()
  {
    return myAbsFilename;
  }

  // Data
  protected String myAbsFilename;
  //protected File myFile;
  protected FileInputStream myStream;
}
